aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_completion.d/find.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bash_completion.d/find.bash')
-rw-r--r--bash/bash_completion.d/find.bash4
1 files changed, 4 insertions, 0 deletions
diff --git a/bash/bash_completion.d/find.bash b/bash/bash_completion.d/find.bash
index 50a6cc41..74dc17ad 100644
--- a/bash/bash_completion.d/find.bash
+++ b/bash/bash_completion.d/find.bash
@@ -1,3 +1,7 @@
+# compopt requires Bash >=4.0, and I don't think it's worth making a compatible
+# version
+((BASH_VERSINFO[0] >= 4)) || return
+
# Semi-intelligent completion for find(1); nothing too crazy
_find() {